   bits   32
   global   Startup

Startup:
   mov      esp, Stack
   jmp      Startup2
   
   align   4
Multiboot:
   MULTIBOOT_PAGE_ALIGN   equ 1<<0
   MULTIBOOT_MEMORY_INFO   equ 1<<1
   MULTIBOOT_HEADER_MAGIC   equ 0x1BADB002
   MULTIBOOT_HEADER_FLAGS   equ MULTIBOOT_PAGE_ALIGN | MULTIBOOT_MEMORY_INFO
   CHECKSUM            equ -(MULTIBOOT_HEADER_MAGIC + MULTIBOOT_HEADER_FLAGS)
   extern   code, bss, end
   dd      MULTIBOOT_HEADER_MAGIC
   dd      MULTIBOOT_HEADER_FLAGS
   dd      CHECKSUM
   dd      Multiboot
   dd      code
   dd      bss
   dd      end
   dd      Startup

Startup2:
   extern   kmain
   cli
   call   kmain
   cli
   hlt
   
   section   .bss
   resb   8192
Stack:
