#ifndef STDLIB_H_
#define STDLIB_H_

#include "../kernel/types.h"

#define NUMTOSTR_SIGNED      1
#define NUMTOSTR_LOWERCASE   2

int numtostr_core(uQWord value, char* str, int base, uByte flags,
                  int precision);
int itoa(int value, char* str, int base);
int uitoa(unsigned int value, char* str, int base);
int ftoa(float value, char* str, unsigned char precision);
long int strtol(const char* str, char** endptr, int base);
int atoi(const char* str);

#endif /*STDLIB_H_*/
